[QGIS 3 5dc91b4] Too long status bar message causes Ui glitch

2018-01-21 05:06 PM - Dominique Lyszczarz

Status: Closed

Priority: High

Assignee:

Category: GUI

Affected QGIS version:master Regression?: No

Operating System: Linux Cinnamon Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 25809

Description

Appear especially when digitizing, geometry validation messages triggers many unwanted main windows resizing and map canvas redraw

making diditizing tasks fastidious.

Associated revisions

Revision 7ef93551 - 2018-01-23 01:42 AM - Mathieu Pellerin - nIRV

[ui] fix status bar's message item resizing window on long string

(Fixes #17913)

History

#1 - 2018-01-22 11:37 AM - Dominique Lyszczarz

Note the issue occurs on a laptop with a 15" screen and a resolution of 1366x768px, that's why the space available for displaying message in status bar is

limited.

#2 - 2018-01-23 01:41 AM - Mathieu Pellerin - nIRV

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|7ef9355111463da4ffb84004cb4569155af3ea3f.

#3 - 2018-02-21 09:48 PM - Giovanni Manghi

- Resolution set to fixed/implemented
